Автор Тема: Ввод и отображение русских символов (Runtu LITE 10.04 - 201107)  (Прочитано 5592 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн lillgrinn

  • Новичок
  • **
  • Автор темы
  • Сообщений: 56
Пришловсь поставить wine1.3 для запуска КУМИР.
После установки КУМИР-а не отображались русские буквы в меню. Ввод русского текста был возможен.
Использовалась команда:
WINEPREFIX="/home/teacher/.wine" wine C:\\windows\\command\\start.exe /Unix /home/teacher/.wine/dosdevices/c:/users/Public/Главное\ меню/Программы/НИИСИ\ РАН/Комплект\ Учебных\ МИРов/Кумир.lnk
Если использовать:
LANG="ru_RU.cp1251" WINEPREFIX="/home/teacher/.wine" wine C:\\windows\\command\\start.exe /Unix /home/teacher/.wine/dosdevices/c:/users/Public/Главное\ меню/Программы/НИИСИ\ РАН/Комплект\ Учебных\ МИРов/Кумир.lnkто буквы в меню видно, но невозможно ввести русские буквы. Вместо них печатаются заглавные латинские.

UPD: замена LANG="ru_RU.cp1251" на LC_ALL="ru_RU.UTF-8" приводит опять к исчезновению текста в меню и возможности вводить русские буквы.

Подскажите, что надо сделать, чтобы появился ввод русских символов и осталось отображение русского языка в меню?
« Последнее редактирование: Октябрь 19, 2011, 12:42:25 от lillgrinn »

Оффлайн HsH

  • Administrator
  • *****
  • Сообщений: 3207
После установки КУМИР-а не отображались русские буквы в меню.
   Требуемые программе шрифты присутствуют в системе? Скопируйте *.ttf-шрифты из Windows в каталог /usr/share/fonts/truetype/win

Использовалась команда:
WINEPREFIX="/home/teacher/.wine" wine C:\\windows\\command\\start.exe /Unix /home/teacher/.wine/dosdevices/c:/users/Public/Главное\ меню/Программы/НИИСИ\ РАН/Комплект\ Учебных\ МИРов/Кумир.lnk
   А двойным кликом по исполняемому exe-файлу программы она не запускалась?

Оффлайн lillgrinn

  • Новичок
  • **
  • Автор темы
  • Сообщений: 56
   Требуемые программе шрифты присутствуют в системе? Скопируйте *.ttf-шрифты из Windows в каталог /usr/share/fonts/truetype/win
Я, честно говоря, не знаю какие шрифты нужны. Каталог win в /usr/share/fonts/truetype/ надо создать самому?

А двойным кликом по исполняемому exe-файлу программы она не запускалась?
По умолчанию почему-то с *.exe ассоциирован менеджер архивов, поэтому надо правой кнопкой и выбирать wine.
Указанные параметры я взял из ярлыка в меню. 



Оффлайн HsH

  • Administrator
  • *****
  • Сообщений: 3207
Я, честно говоря, не знаю какие шрифты нужны. Каталог win в /usr/share/fonts/truetype/ надо создать самому?
    Копируйте все *.ttf - не ошибётесь. Каталог создайте сами - название не имеет значения.

По умолчанию почему-то с *.exe ассоциирован менеджер архивов, поэтому надо правой кнопкой и выбирать wine.
    Поставьте этому файлу аттрибут "исполняемый" (chmod +x *.exe).

Оффлайн lillgrinn

  • Новичок
  • **
  • Автор темы
  • Сообщений: 56
Копирование *.ttf фонтов из каталога windows/fonts не помогло.
Так же не погло при копировании в ~/.wine/.../fonts  или в /usr/share/wine/fonts .

P.S.: Я ставлю КУМИР под wine из-за того, что при установке из deb-пакета появляется неразрешимая зависимость:
Ошибка: Зависимость не может быть удовлетворена: libqtcore4 (>= 4:4.7.0~beta1). В репозитории версия более старая (4:4.6.2) .

Оффлайн butjapka

  • Местный
  • *****
  • Сообщений: 1143
  • Компьютер думает так, как думает его хозяин.
libqtcore4 (>= 4:4.7.0~beta1). В репозитории версия более старая (4:4.6.2) .
попробуйте отсюда
« Последнее редактирование: Октябрь 20, 2011, 12:48:39 от butjapka »

Оффлайн lillgrinn

  • Новичок
  • **
  • Автор темы
  • Сообщений: 56
попробуйте отсюда

Спасибо, но нет. Это отдельный пакет, а в deb-e КУМИР-а, похоже, многое на QT 4.7 завязано. Один  пакет установил. так на другом остановка  :-\

// оффтопик Понимаю, что вопрос не из этой темы, но как подключить репозиторий QT от более поздних версий (10.10 там QT 4.7.0, 11.04 или 11.10 там QT 4.7.4)? Почему-то для 10.04 LTS в репозитории QT только 4.6  :(

Я пока не нашел способа (нормального) из-под wine работать в КУМИР-е. Копирование шрифтов в ~/.wine/Fonts привело к тому, что вместо русских букв появились какие-то "кракозябры". Продолжу попытки, но буду рад любому совету.




Оффлайн vmf

  • Местный
  • *****
  • Сообщений: 587
  • vmf000@yabber.ru
При наличии нативной версии пытаться запустить под wine... НЕ АЙС!
Версия 1.7.0 ставится без проблем с зависимостями.
А если хочется посвежее - попробуйте это пакет 1.7.3
или отсюда 1.8.0
« Последнее редактирование: Октябрь 20, 2011, 23:01:55 от vmf »

Оффлайн lillgrinn

  • Новичок
  • **
  • Автор темы
  • Сообщений: 56
Все! Благодаря vmf проблема решена!
Моё глубочайшее почтение и неизмеримая благодарность!